// https://nuxt.com/docs/api/configuration/nuxt-config
export default defineNuxtConfig({
  compatibilityDate: "2024-11-01",
  devtools: { enabled: true },
  devServer: {
    port: 8888,
  },
  app: {
    head: {
      title: "Nuxt.js TypeScript TailwindCSS",
    },
    rootAttrs: {
      class: 'main',
    }
  },
  css: ["@/assets/css/main.css"],
  postcss: {
    plugins: {
      tailwindcss: {},
      autoprefixer: {},
    },
  },
});
